Name:           dragonplayer
Version:        2.0.1
Release:        4%{?dist}
Summary:        A simple video player for KDE 4

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://dragonplayer.org/
Source0:        http://dragonplayer.org/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kde-filesystem >= 4
BuildRequires:  kdelibs4-devel
BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  xine-lib-devel
# Add for the moment to get the required FindXine.cmake
BuildRequires:  kdebase-runtime

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires(post): xdg-utils
Requires(postun): xdg-utils

%description
A simple video player for KDE 4.

Features:
* Simple interface that does not get in the way
* Resumes where you left off when replaying a video
* Support for subtitles

%prep
%setup -q

%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :

%postun
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.DOC HACKING README TODO
%{_kde4_bindir}/dragon
%{_kde4_configdir}/dragonplayerrc
%{_kde4_appsdir}/dragonplayer/
%{_kde4_datadir}/applications/kde4/dragonplayer.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/dragonplayer_play_dvd.desktop
%{_kde4_datadir}/kde4/services/dragonplayer_part.desktop
%{_kde4_docdir}/HTML/en/dragonplayer/
%{_kde4_iconsdir}/hicolor/*/apps/dragonplayer.*
%{_kde4_iconsdir}/oxygen/*/actions/player-volume-muted.*
%{_kde4_libdir}/kde4/dragonpart.so

%changelog
* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 2.0.1-4
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 2.0.1-3
- rebuild for NDEBUG and _kde4_libexecdir

* Mon Feb 25 2008 Sebastian Vahl <fedora@deadbabylon.de> - 2.0.1-2
- BR: kdebase-runtime to workaround missing FindXine.cmake

* Sat Feb 23 2008 Sebastian Vahl <fedora@deadbabylon.de> - 2.0.1-1
- new upstream version: 2.0.1

* Mon Feb 04 2008 Sebastian Vahl <fedora@deadbabylon.de> - 2.0-0.5.rc1
- fix changelog

* Sun Feb 03 2008 Sebastian Vahl <fedora@deadbabylon.de> - 2.0-0.4.rc1
- Update to RC1

* Mon Jan 14 2008 Sebastian Vahl <fedora@deadbabylon.de> - 2.0-0.3.beta1
- revert changes from 2.0-0.2.beta1

* Mon Jan 14 2008 Sebastian Vahl <fedora@deadbabylon.de> - 2.0-0.2.beta1
- small spec cleanup suggested in review process

* Sat Jan 12 2008 Sebastian Vahl <fedora@deadbabylon.de> - 2.0-0.1.beta1
- Initial version

